(*
 * Test question 4
 *)

open Question4

(* Partie test: ne pas modifier *)
let _ =
  let q = Queue.create () in
  let anonfun s =
    try
      let x = int_of_string s in
	Queue.add x q
    with
	_ -> ()
  in
  let get_liste () =
    List.rev (Queue.fold (fun x y -> y::x) [] q)
  in
  let rec gen_list accu = function
      0 -> accu
    | n when n>0 -> gen_list ((Random.int 4096)::accu) (n-1)
    | _ -> Printf.fprintf stderr "taille doit etre positif !" ; exit 2
  in
  let print_int_list l =
    Printf.printf "[ ";
    List.iter (Printf.printf "%d; ") l;
    Printf.printf "]\n"
  in
  let f x = x mod 2 = 0 in
  let usage = "Prog TP: question 4\nquestion4 graine taille" in
    Arg.parse (Arg.align []) anonfun usage ;
    (
      match get_liste () with
	| seed::size::_ ->
	    Random.init seed;
	    Printf.printf "let f x = x mod 2 = 0 \n";
	    let l = gen_list [] size in
	    let n = Random.int (size*2) in
	      Printf.printf "l = ";
	      print_int_list l;
	      Printf.printf "existsn f %i = %s\n" n
		(if existsn f n l then "true" else "false");
	      exit 0
	| _ ->
	    Arg.usage (Arg.align []) usage ;
	    exit 1
    )
