(*
 * Test question 7
 *)

open Question7

(* Partie test: ne pas modifier *)
let _ =
  let q = Queue.create () in
  let anonfun s =
    try
      let x = int_of_string s in
	Queue.add x q
    with
	_ -> ()
  in
  let get_liste () =
    List.rev (Queue.fold (fun x y -> y::x) [] q)
  in
  let usage = "Prog TP: question 7\nquestion7 graine" in
    Arg.parse (Arg.align []) anonfun usage ;
    (
      match get_liste () with
	| seed::_ ->
	    Random.init seed;
	    for i = 0 to Random.int 256 do
	      Printf.printf "next_odd () = %i\n" (next_odd ());
	    done;
	    exit 0
	| _ ->
	    Arg.usage (Arg.align []) usage ;
	    exit 1
    )
