(*
 * Test question 5
 *)

open Question5

(* Partie test: ne pas modifier *)
let _ =
  let q = Queue.create () in
  let anonfun s =
    try
      let x = int_of_string s in
	Queue.add x q
    with
	_ -> ()
  in
  let get_liste () =
    List.rev (Queue.fold (fun x y -> y::x) [] q)
  in
  let rec gen_list accu = function
      0 -> accu
    | n when n>0 -> gen_list ((Random.int 256)::accu) (n-1)
    | _ -> Printf.fprintf stderr "taille doit etre positif !" ; exit 2
  in
  let print_int_list l =
    Printf.printf "[ ";
    List.iter (Printf.printf "%d; ") l;
    Printf.printf "]\n"
  in
  let f x y = x+y < x*y in
  let usage = "Prog TP: question 5\nquestion5 graine taille" in
    Arg.parse (Arg.align []) anonfun usage ;
    (
      match get_liste () with
	| seed::size::_ ->
	    Random.init seed;
	    Printf.printf "let f x y = (x+y) mod 2 = 0 \n";
	    let l1 = gen_list [] (size + Random.int 2) in
	    let l2 = gen_list [] (size + Random.int 2) in
	      Printf.printf "l1 = ";
	      print_int_list l1;
	      Printf.printf "l2 = ";
	      print_int_list l2;
	      Printf.printf "valid2 f l1 l2 = %b\n" (valid2 f l1 l2);
	      exit 0
	| _ ->
	    Arg.usage (Arg.align []) usage ;
	    exit 1
    )
