(*
 * Test question 8
 *)

open Question8

(* Partie test: ne pas modifier *)
let _ =
  let q = Queue.create () in
  let anonfun s =
    try
      let x = int_of_string s in
	Queue.add x q
    with
	_ -> ()
  in
  let get_liste () =
    List.rev (Queue.fold (fun x y -> y::x) [] q)
  in
  let usage = "Prog TP: question 8\nquestion8 graine nombre" in
    Arg.parse (Arg.align []) anonfun usage ;
    (
      match get_liste () with
	| seed::size::_ ->
	    Random.init seed;
	    for i = 1 to size do
	      let i = ref (Random.int 4096) in
		begin
		  Printf.printf "let i = ref %i\n" (!i);
		  Printf.printf "pre_incr i = %i\n" (pre_incr i);
		  Printf.printf "!i = %i\n" (!i);
		end
	    done;
	    exit 0
	| _ ->
	    Arg.usage (Arg.align []) usage ;
	    exit 1
    )
